/*
 * Copyright © 2016-2018 European Support Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.openecomp.sdcrests.vsp.rest.mapping;

import static org.junit.Assert.assertEquals;

import org.junit.Test;
import org.openecomp.sdc.vendorsoftwareproduct.dao.type.DeploymentFlavorEntity;
import org.openecomp.sdcrests.vendorsoftwareproducts.types.DeploymentFlavorListResponseDto;

public class MapDeploymentFlavorEntityDeploymentFlavorToListResponseTest {

    @Test
    public void testId() {
        DeploymentFlavorEntity source = new DeploymentFlavorEntity();
        DeploymentFlavorListResponseDto target = new DeploymentFlavorListResponseDto();
        String testId = "some_test_id";
        source.setId(testId);
        MapDeploymentFlavorEntityDeploymentFlavorToListResponse mapper =
                new MapDeploymentFlavorEntityDeploymentFlavorToListResponse();
        mapper.doMapping(source, target);
        assertEquals(target.getId(), testId);
    }

}
