/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.notification.services;

import org.openecomp.sdc.notification.dao.types.LastSeenNotificationEntity;
import org.openecomp.sdc.notification.dao.types.NotificationEntity;
import org.openecomp.sdc.notification.dtos.NotificationsStatus;
import org.openecomp.sdc.notification.exceptons.NotificationNotExistException;

import java.util.List;
import java.util.UUID;

/**
 * @author Avrahamg
 * @since June 22, 2017
 */
public interface NotificationsService {

	LastSeenNotificationEntity getLastNotification(String ownerId);

	NotificationsStatus getNotificationsStatus(String ownerId, UUID lastDelivered, int numOfRecordsToReturn, UUID endOfPage);

	void updateLastSeenNotification(String ownerId, UUID eventId);

	void markAsRead(String ownerId, String notificationId) throws NotificationNotExistException;

    List<NotificationEntity> getNotificationsByOwnerId(String ownerId, int limit);

    List<NotificationEntity> getNewNotificationsByOwnerId(String ownerId, UUID eventId);

    List<NotificationEntity> getNewNotificationsByOwnerId(String ownerId, UUID eventId, int limit);

}
